// Use this file to meet DTBF070: Firefox required security preferences can not be changed by user.

// Copy this file to "firefox_install_directory/defaults/prefs/" for required locking
// See https://developer.mozilla.org/en-US/docs/Mozilla/Preferences/A_brief_guide_to_Mozilla_preferences

// Alternatively for a single user or someone that is not an admin, copy to user.js
// See http://kb.mozillazine.org/User.js_file

    // DTBG010, certificate, not set
    // DTBG020
    lockPref("security.enable_ssl3", false);
    // DTBG050
    lockPref("security.default_personal_cert", "Ask Every Time");
    // DTBG105
    lockPref("network.protocol-handler.external.shell", false);
    // DTBF110
    // TODO I'm pretty sure all these mime types are not right
    lockPref("plugin.disable_full_page_plugin_for_types", "plugin.disable_full_page_plugin_for_types", "application/pdf,application/doc,application/xls,application/bat,application/ppt,application/mdb,application/mde,application/vnd.fdf,application/vnd.adobe.xfdf,application/lsl,application/lso,application/lss,application/iqy,application/rqy,application/xlk,application/pot,application/pps,application/dot,application/wbk,application/ps,application/eps,application/wch,application/wcm,application/wbi,application/wb1,application/wb3,application/rtf,application/wch,application/wcm,application/ad,application/adp");
    // TODO, Can we even disable with prefs? DTBF120: FireFox plug-in for ActiveX controls is installed.
    // TODO, Can we even disable with prefs? DTBF100: Firefox automatically executes or downloads MIME types which are not authorized for auto-download.
    // DTBG140
    lockPref("browser.formfill.enable", false);
    // DTBG150
    lockPref("signon.prefillForms", false);
    lockPref("signon.autofillForms", false);
    // DTBG160
    lockPref("signon.rememberSignons", false);
    // DTBG170
    lockPref("privacy.sanitize.promptOnSanitize", false);
    lockPref("privacy.sanitize.sanitizeOnShutdown", true);
    // DTBG180
    lockPref("dom.disable_window_open_feature.status", true);
    // DTBG181
    lockPref("dom.disable_window_move_resize", true);
    // DTBG010
    lockPref("security.enable_ssl2", false);
    // DTBG030
    lockPref("security.enable_tls", true);
    // DTBG182
    lockPref("dom.disable_window_flip", true);
    // DTBG183
    lockPref("dom.event.contextmenu.enabled", false);
    // DTBG184
    lockPref("dom.disable_window_status_change", true);
    // DTBG185
    lockPref("dom.disable_window_open_feature.status", true);
    // DTBG130
    lockPref("security.warn_leaving_secure", true);
    // DTBG017
    lockPref("browser.startup.homepage", "about:blank");
    // DTBG080
    lockPref("app.update.enabled", false);
    // DTBG090
    lockPref("extensions.update.enabled", false);
    // DTBG085
    lockPref("browser.search.update", false);